PHP Manual
Prev |  | Next

# enchant_broker_set_ordering

(PECL)

enchant_broker_set_ordering -- Declares a preference of dictionaries to use for the language

## Description

bool enchant_broker_set_ordering ( resource broker, string tag, string ordering )

Declares a preference of dictionaries to use for the language described/referred to by 'tag'. The ordering is a comma delimited list of provider names. As a special exception, the "*" tag can be used as a language tag to declare a default ordering for any language that does not explicitly declare an ordering.

## Parameters

broker

  Broker resource

tag

  Language tag. The special "*" tag can be used as a language tag to declare a default ordering for any language that does not explicitly declare an ordering.

ordering

  Comma delimited list of provider names

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
enchant_broker_request_pwl_dict | Up | enchant_dict_add_to_personal